Reference
Artifact comments
List Artifact Comment Threads
Path Parameters
artifact_id*string
Format
uuidversion*integer
Query Parameters
include_resolved?boolean
Default
falseHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
application/json
curl -X GET "https://loading/api/v1/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/0/comment-threads"{
"items": [
{
"anchorExcerpt": "string",
"anchorKey": "string",
"anchorKind": "table_cell",
"anchorLabel": "string",
"artifactVersionId": "c85f6cab-7ce1-42bc-a96e-3c6bbda8cfbe",
"comments": [
{
"author": {
"email": "string",
"firstName": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lastName": "string",
"profilePictureUrl": "string"
},
"authorUserId": "ea75109d-c5c5-4407-b0ab-0da27cd41c18",
"body": "string",
"commentThreadId": "ead52d94-9a2c-40fa-af12-22dfad3c6296",
"createdAt": "2019-08-24T14:15:22Z",
"editedAt": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"createdAt": "2019-08-24T14:15:22Z",
"createdByUser": {
"email": "string",
"firstName": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lastName": "string",
"profilePictureUrl": "string"
},
"createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"isResolved": true,
"resolvedAt": "2019-08-24T14:15:22Z",
"resolvedByUser": {
"email": "string",
"firstName": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lastName": "string",
"profilePictureUrl": "string"
},
"resolvedByUserId": "65724e5a-550c-4e97-8411-a05f7a2e24df",
"selectorPayload": {},
"updatedAt": "2019-08-24T14:15:22Z",
"viewportPayload": {}
}
]
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Artifact Comment Thread
Path Parameters
artifact_id*string
Format
uuidversion*integer
Header Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
anchorExcerpt?|
anchorKey*string
Length
1 <= length <= 512anchorKind*string
Value in
"table_cell" | "table_row" | "table_column" | "table_root" | "markdown_block" | "chart_root"anchorLabel*string
Length
1 <= length <= 255body*string
Length
1 <= length <= 2000selectorPayload*
viewportPayload?|
Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/0/comment-threads" \ -H "Content-Type: application/json" \ -d '{ "anchorKey": "string", "anchorKind": "table_cell", "anchorLabel": "string", "body": "string", "selectorPayload": {} }'{
"anchorExcerpt": "string",
"anchorKey": "string",
"anchorKind": "table_cell",
"anchorLabel": "string",
"artifactVersionId": "c85f6cab-7ce1-42bc-a96e-3c6bbda8cfbe",
"comments": [
{
"author": {
"email": "string",
"firstName": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lastName": "string",
"profilePictureUrl": "string"
},
"authorUserId": "ea75109d-c5c5-4407-b0ab-0da27cd41c18",
"body": "string",
"commentThreadId": "ead52d94-9a2c-40fa-af12-22dfad3c6296",
"createdAt": "2019-08-24T14:15:22Z",
"editedAt": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"createdAt": "2019-08-24T14:15:22Z",
"createdByUser": {
"email": "string",
"firstName": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lastName": "string",
"profilePictureUrl": "string"
},
"createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"isResolved": true,
"resolvedAt": "2019-08-24T14:15:22Z",
"resolvedByUser": {
"email": "string",
"firstName": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lastName": "string",
"profilePictureUrl": "string"
},
"resolvedByUserId": "65724e5a-550c-4e97-8411-a05f7a2e24df",
"selectorPayload": {},
"updatedAt": "2019-08-24T14:15:22Z",
"viewportPayload": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Patch Artifact Comment Thread
Path Parameters
artifact_id*string
Format
uuidversion*integer
comment_thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
resolved*boolean
Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/0/comment-threads/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "resolved": true }'{
"anchorExcerpt": "string",
"anchorKey": "string",
"anchorKind": "table_cell",
"anchorLabel": "string",
"artifactVersionId": "c85f6cab-7ce1-42bc-a96e-3c6bbda8cfbe",
"comments": [
{
"author": {
"email": "string",
"firstName": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lastName": "string",
"profilePictureUrl": "string"
},
"authorUserId": "ea75109d-c5c5-4407-b0ab-0da27cd41c18",
"body": "string",
"commentThreadId": "ead52d94-9a2c-40fa-af12-22dfad3c6296",
"createdAt": "2019-08-24T14:15:22Z",
"editedAt": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"createdAt": "2019-08-24T14:15:22Z",
"createdByUser": {
"email": "string",
"firstName": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lastName": "string",
"profilePictureUrl": "string"
},
"createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"isResolved": true,
"resolvedAt": "2019-08-24T14:15:22Z",
"resolvedByUser": {
"email": "string",
"firstName": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lastName": "string",
"profilePictureUrl": "string"
},
"resolvedByUserId": "65724e5a-550c-4e97-8411-a05f7a2e24df",
"selectorPayload": {},
"updatedAt": "2019-08-24T14:15:22Z",
"viewportPayload": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Artifact Comment Thread
Path Parameters
artifact_id*string
Format
uuidversion*integer
comment_thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/0/comment-threads/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Create Artifact Comment
Path Parameters
artifact_id*string
Format
uuidversion*integer
comment_thread_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
body*string
Length
1 <= length <= 2000Response Body
application/json
application/json
curl -X POST "https://loading/api/v1/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/0/comment-threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/comments" \ -H "Content-Type: application/json" \ -d '{ "body": "string" }'{
"anchorExcerpt": "string",
"anchorKey": "string",
"anchorKind": "table_cell",
"anchorLabel": "string",
"artifactVersionId": "c85f6cab-7ce1-42bc-a96e-3c6bbda8cfbe",
"comments": [
{
"author": {
"email": "string",
"firstName": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lastName": "string",
"profilePictureUrl": "string"
},
"authorUserId": "ea75109d-c5c5-4407-b0ab-0da27cd41c18",
"body": "string",
"commentThreadId": "ead52d94-9a2c-40fa-af12-22dfad3c6296",
"createdAt": "2019-08-24T14:15:22Z",
"editedAt": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"createdAt": "2019-08-24T14:15:22Z",
"createdByUser": {
"email": "string",
"firstName": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lastName": "string",
"profilePictureUrl": "string"
},
"createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"isResolved": true,
"resolvedAt": "2019-08-24T14:15:22Z",
"resolvedByUser": {
"email": "string",
"firstName": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lastName": "string",
"profilePictureUrl": "string"
},
"resolvedByUserId": "65724e5a-550c-4e97-8411-a05f7a2e24df",
"selectorPayload": {},
"updatedAt": "2019-08-24T14:15:22Z",
"viewportPayload": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Patch Artifact Comment
Path Parameters
artifact_id*string
Format
uuidversion*integer
comment_thread_id*string
Format
uuidcomment_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Request Body
application/json
body*string
Length
1 <= length <= 2000Response Body
application/json
application/json
curl -X PATCH "https://loading/api/v1/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/0/comment-threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/comments/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "body": "string" }'{
"anchorExcerpt": "string",
"anchorKey": "string",
"anchorKind": "table_cell",
"anchorLabel": "string",
"artifactVersionId": "c85f6cab-7ce1-42bc-a96e-3c6bbda8cfbe",
"comments": [
{
"author": {
"email": "string",
"firstName": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lastName": "string",
"profilePictureUrl": "string"
},
"authorUserId": "ea75109d-c5c5-4407-b0ab-0da27cd41c18",
"body": "string",
"commentThreadId": "ead52d94-9a2c-40fa-af12-22dfad3c6296",
"createdAt": "2019-08-24T14:15:22Z",
"editedAt": "2019-08-24T14:15:22Z",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"updatedAt": "2019-08-24T14:15:22Z"
}
],
"createdAt": "2019-08-24T14:15:22Z",
"createdByUser": {
"email": "string",
"firstName": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lastName": "string",
"profilePictureUrl": "string"
},
"createdByUserId": "4d2aef9a-17b0-44e6-902e-616812033620",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"isResolved": true,
"resolvedAt": "2019-08-24T14:15:22Z",
"resolvedByUser": {
"email": "string",
"firstName": "string",
"id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
"lastName": "string",
"profilePictureUrl": "string"
},
"resolvedByUserId": "65724e5a-550c-4e97-8411-a05f7a2e24df",
"selectorPayload": {},
"updatedAt": "2019-08-24T14:15:22Z",
"viewportPayload": {}
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}Delete Artifact Comment
Path Parameters
artifact_id*string
Format
uuidversion*integer
comment_thread_id*string
Format
uuidcomment_id*string
Format
uuidHeader Parameters
authorization?|
X-API-Key?|
Cookie Parameters
vai_token?|
Response Body
application/json
curl -X DELETE "https://loading/api/v1/artifacts/497f6eca-6276-4993-bfeb-53cbbbba6f08/versions/0/comment-threads/497f6eca-6276-4993-bfeb-53cbbbba6f08/comments/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string"
}
]
}